.modal-content--wrapper {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: var(--xxl);
}

.modal-content--wrapper-box-2 {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: var(--xxl);
}

.modal-content--wrapper-box-2-logo img {
  max-width: 8rem;
}

.modal-content--wrapper-box-2-link {
  text-align: right;
}

.modal-content--wrapper-box-2-link a {
  color: var(--secondary);
  font-size: 1.2rem;
}

.modal-content--wrapper-box-2-link a:hover {
  text-decoration: underline;
}

/* Декор для мобильных */
.modal-nav ul {
  list-style: none;
  padding: 0;
  font-size: clamp(1rem, 1.6rem, 3rem);
  font-weight: var(--font-light);
  text-transform: uppercase;
}

.modal-nav ul li a {
  border-radius: var(--border-radius-base);
  display: block;
  padding: var(--sm) var(--lg);
  text-decoration: none;
  max-width: fit-content;
}

.modal-nav ul li a:hover {
  color: var(--light);
  background: var(--secondary);
  transition: var(--transition-base);
}

.close-btn {
  position: absolute;
  top: 1rem;
  right: 2rem;
  font-size: 3rem;
  cursor: pointer;
}

/* Кнопка гамбургер */
.menu-trigger {
  cursor: pointer;
  background: none;
  border: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 var(--base);
  gap: 1rem;
}

.menu-trigger:hover {
  background-color: var(--light);
  border-radius: var(--border-radius-base);
  transition: var(--transition-base);
}

.menu-trigger svg {
  width: 3rem;
  height: 3rem;
  fill: var(--light);
}

.menu-trigger--text {
  text-transform: uppercase;
  font-size: 1.6rem;
  color: var(--light);
}

.menu-trigger:hover svg {
  fill: var(--secondary);
  transition: var(--transition-base);
}

.menu-trigger:hover .menu-trigger--text {
  color: var(--secondary);
  transition: var(--transition-base);
}

/* Contacts block */
.modal-content--contacts {
  display: flex;
  flex-direction: row;
  gap: var(--gap-base);
  margin: var(--xl) 0;
}

.modal-content--contacts-item a {
  color: var(--secondary);
  font-size: 2.0rem;
  border-radius: var(--border-radius-base);
  padding: var(--sm) var(--lg);
}

.modal-content--contacts-item a:hover {
  background-color: var(--secondary);
  color: var(--light);
  transition: var(--transition-base);
}

.modal-content--img img {
  width: 100%;
  max-height: 15rem;
  object-fit: cover;
  display: block;
  border-radius: var(--border-radius-base);
}


/* Mobile */
@media only screen and (orientation: portrait) and (min-width: 1px) and (max-width: 999px) {
  .modal-content--wrapper {
    grid-template-columns: 1fr;
    gap: var(--lg);
  }

  .modal-content--contacts {
    flex-direction: column;
    gap: var(--base);
    margin: var(--lg) 0;
  }

  .modal-content--wrapper-box-2 {
    align-items: start;
    gap: var(--lg);
  }

  .modal-content--wrapper-box-2-link {
    text-align: left;
  }

  .modal-content--wrapper-box-1 {
    order: 2;
  }

  .modal-content--wrapper-box-2 {
    order: 1;
  }

  .modal-content--wrapper-box-2-logo img {
    max-width: 5rem;
}

}